ScaleTransformation Class Reference

`#include <ScaleEngine.h>`

Inheritance diagram for ScaleTransformation:

## Public Types

enum | Type { Linear, Log10, Ln, Log2, Reciprocal, Probability, Logit }

## Public Member Functions

QwtScaleTransformation * | copy () const
virtual double | invXForm (double x, double s1, double s2, double p1, double p2) const
| ScaleTransformation (const ScaleEngine *engine)
virtual double | xForm (double x, double, double, double p1, double p2) const

## Protected Member Functions

QwtScaleTransformation * | newScaleTransformation () const

## Protected Attributes

const ScaleEngine * | d_engine
| The scale engine that generates the transformation. More...

## Member Enumeration Documentation

## Type

enum ScaleTransformation::Type

Enumerator
Linear |
Log10 |
Ln |
Log2 |
Reciprocal |
Probability |
Logit |

## Constructor & Destructor Documentation

## ScaleTransformation()

ScaleTransformation::ScaleTransformation | ( | const ScaleEngine * | engine | ) |

inline

References copy(), invXForm(), newScaleTransformation(), and xForm().

## Member Function Documentation

## copy()

QwtScaleTransformation * ScaleTransformation::copy | ( |  | ) | const

Referenced by ScaleTransformation().

## invXForm()

double ScaleTransformation::invXForm | ( | double | x,
|  | double | s1,
|  | double | s2,
|  | double | p1,
|  | double | p2
| ) |  | const

virtual

Reimplemented in LogitScaleTransformation, ProbabilityScaleTransformation, and ReciprocalScaleTransformation.

References ScaleEngine::d_type, Linear, Ln, and Log10.

Referenced by ScaleTransformation().

## newScaleTransformation()

QwtScaleTransformation * ScaleTransformation::newScaleTransformation | ( |  | ) | const

protected

References Linear, Ln, Log10, Log2, Logit, Probability, and Reciprocal.

Referenced by ScaleTransformation().

## xForm()

double ScaleTransformation::xForm | ( | double | x,
|  | double | s1,
|  | double | s2,
|  | double | p1,
|  | double | p2
| ) |  | const

virtual

Reimplemented in LogitScaleTransformation, ProbabilityScaleTransformation, and ReciprocalScaleTransformation.

References ScaleEngine::d_type, Linear, Ln, Log10, and Log2.

Referenced by ScaleTransformation().

## Member Data Documentation

## d_engine

const ScaleEngine* ScaleTransformation::d_engine

protected

The scale engine that generates the transformation.

The documentation for this class was generated from the following files:

- qtiplot/src/plot2D/ScaleEngine.h
- qtiplot/src/plot2D/ScaleEngine.cpp